import java.awt.*;
import java.io.*;
import java.lang.*;
import javax.swing.*;

public class yazitestiSWF extends JFrame {

    String myFile = "yazitestiSWF.txt";
    File f = new File(myFile);
    PrintWriter dos;

     public yazitestiSWF()
    {
         super("yazı testi swing frame konsol uygulaması");
    }



  public void paint(Graphics g) {
       Graphics2D g2 = (Graphics2D)g;

	try {
      dos=new PrintWriter(new BufferedWriter(new FileWriter(myFile)));
      dos.println("bu yazı deneme amacıyla dosya yazitesti.txt içine Appletden yazıldı\n");
	    dos.close();
      g2.drawString("Yazım işlemi başarı ile gerçekleşti : " + myFile + " -- dosyasını açıp bakabilirsiniz ", 10, 50);
	}
	catch (SecurityException e) {
	    g2.drawString("yazitesti: güvenlik kontrolu aşılamadı (güvenik hatası) : " + e, 10, 50);
        }
	catch (IOException ioe) {
		  g2.drawString("yazitesti: giriş çıkış hatası", 10, 50);
        }
   }
      public static void main(String[] args)
      {
      yazitestiSWF pencere= new yazitestiSWF();
      pencere.addWindowListener(new BasicWindowMonitor());
      pencere.setSize(350,200);
      pencere.setVisible(true);
      }
}

